Update Purchase Order: Yardi
https://api.propexo.com/v1/purchase-orders/yardi/:purchase_order_idUpdate Purchase Order: Yardi. This API call does not modify the purchase order in place in Yardi. It creates a change order that is attached to the existing parent purchase order specified.
| Interface | Method |
|---|---|
| Vendor Invoicing | ImportPOChangeOrders |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The Propexo unique identifier for the purchase order
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string
AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT - string
- string
AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT - string
- Array [
- ]
The Propexo unique identifier for the vendor
Description of the purchase order
The number of the purchase order
Possible values: non-empty and <= 8 characters
The amount of the purchase order, in cents
The order date for the purchase order
Show 2 variants
The expense type of the purchase order. You'll have to request this data from your customer
The display type of the purchase order. You'll have to request this data from your customer
The first address line associated with the shipping address for the purchase order
The second address line associated with the shipping address for the purchase order
The city associated with the shipping address for the purchase order
The state associated with the shipping address for the purchase order
Show 2 variants
The zip code associated with the shipping address for the purchase order
The country associated with the shipping address for the purchase order
The first address line associated with the billing address for the purchase order
The second address line associated with the billing address for the purchase order
The city associated with the billing address for the purchase order
The state associated with the billing address for the purchase order
Show 2 variants
The zip code associated with the billing address for the purchase order
The country associated with the billing address for the purchase order
purchase_order_items object[]required
A list of the items associated with the purchase orders
Possible values: >= 1
The Propexo unique identifier for the property
Description of the purchase order item
The Propexo unique identifier for the construction job
The Propexo unique identifier for the financial account
The stock code for the purchase order item. You'll have to request this data from your customer
The quantity ordered for the purchase order item
The unit price, in cents, of the purchase order item
The total cost, in cents, of the lead
The cost code of the purchase order item. You'll have to request this data from your customer
The category code for the purchase order item. You'll have to request this data from your customer
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - string
AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT - string
- string
AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWYABBCMBNBNLNTNSNUONPEQCSKYT - string
- Array [
- ]
meta objectrequired
result objectrequired
The Propexo unique identifier for the purchase order
The Propexo unique identifier for the vendor
Description of the purchase order
The number of the purchase order
Possible values: non-empty and <= 8 characters
The amount of the purchase order, in cents
The order date for the purchase order
Show 2 variants
The expense type of the purchase order. You'll have to request this data from your customer
The display type of the purchase order. You'll have to request this data from your customer
The first address line associated with the shipping address for the purchase order
The second address line associated with the shipping address for the purchase order
The city associated with the shipping address for the purchase order
The state associated with the shipping address for the purchase order
Show 2 variants
The zip code associated with the shipping address for the purchase order
The country associated with the shipping address for the purchase order
The first address line associated with the billing address for the purchase order
The second address line associated with the billing address for the purchase order
The city associated with the billing address for the purchase order
The state associated with the billing address for the purchase order
Show 2 variants
The zip code associated with the billing address for the purchase order
The country associated with the billing address for the purchase order
purchase_order_items object[]required
The Propexo unique identifier for the property
Description of the purchase order item
The Propexo unique identifier for the construction job
The Propexo unique identifier for the financial account
The stock code for the purchase order item. You'll have to request this data from your customer
The quantity ordered for the purchase order item
The unit price, in cents, of the purchase order item
The total cost, in cents, of the lead
The cost code of the purchase order item. You'll have to request this data from your customer
The category code for the purchase order item. You'll have to request this data from your customer
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/purchase-orders/yardi/:purchase_order_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"vendor_id": "string",
"description": "string",
"number": "string",
"total_amount_in_cents": 0,
"order_date": "2024-07-29T15:51:28.071Z",
"expense_type": "string",
"display_type": "string",
"purchase_order_items": [
{
"property_id": "string",
"description": "string",
"construction_job_id": "string",
"financial_account_id": "string",
"stock_code": "string",
"quantity_ordered": "string",
"unit_price_in_cents": 0,
"total_cost_in_cents": 0,
"cost_code": "string",
"category_code": "string"
}
]
}'
{
"meta": {
"job_id": "string"
},
"result": {
"purchase_order_id": "string",
"vendor_id": "string",
"description": "string",
"number": "string",
"total_amount_in_cents": 0,
"order_date": "2024-07-29T15:51:28.071Z",
"expense_type": "string",
"display_type": "string",
"shipping_address_1": "string",
"shipping_address_2": "string",
"shipping_city": "string",
"shipping_state": "AA",
"shipping_zip": "string",
"shipping_country": "string",
"billing_address_1": "string",
"billing_address_2": "string",
"billing_city": "string",
"billing_state": "AA",
"billing_zip": "string",
"billing_country": "string",
"purchase_order_items": [
{
"property_id": "string",
"description": "string",
"construction_job_id": "string",
"financial_account_id": "string",
"stock_code": "string",
"quantity_ordered": "string",
"unit_price_in_cents": 0,
"total_cost_in_cents": 0,
"cost_code": "string",
"category_code": "string"
}
]
}
}